/**************************************************************************************************/


/*
 * File: simple_string.h
 * Author: Roman Lysecky
 * Date Created: 11 August 2011
 *
 * Description: Declaration of a set of functions for manipulating C strings and sub strings.
 *
 * Copyright: Roman Lysecky, Electrical and Computer Engineering, University of Arizona, 2011.
 *
 */

/**************************************************************************************************/


#include "global.h"

/**************************************************************************************************/


#ifndef SUBSTRING_H
#define SUBSTRING_H

/**************************************************************************************************/


/* determines the length of the input string */
int string_length(char *);

/* copies up to the specified number of bytes from the source string to the destination string */
int substring_copy(char *, char *, int);

/* determines if the specified number of characters within two inputs strings are equal */
bool subtring_compare(char *, char *, int);

/* 
 * determines the if the second input string is a substring within the first input string and  
 * and returns a pointer to starting location
 */
char * find_substring(char *, char *);

/* 
 * replaces the substring specified by the second input within the first input string 
 * with the third input string 
 */
char * replace_substring_once(char *, char *, char *);

/**************************************************************************************************/


#endif

/**************************************************************************************************/

